<?php
/**
 * Capitales del mundo - modificar2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-11-28
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');

$db = conectaDb();
cabecera('Modificar 2', MENU_VOLVER);

$id = recoge('id');

if ($id=='') {
    print "<p>No se ha seleccionado ningún registro.</p>\n";
} else {
    $consulta = "SELECT COUNT(*) FROM $dbTabla 
       WHERE id=:id";
    $result = $db->prepare($consulta);
    $result->execute(array(':id' => $id));
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()==0) {
        print "<p>Registro no encontrado.</p>\n";
    } else {
        $consulta = "SELECT * FROM $dbTabla 
            WHERE id=:id";
        $result = $db->prepare($consulta);
        $result->execute(array(':id' => $id));
        $valor = $result->fetch();
        print "<form action=\"modificar3.php\" method=\"".FORM_METHOD."\">
  <p>Modifique los campos que desee:</p>
  <table>
    <tbody>
      <tr>
        <td>ciudad:</td>
        <td><input type=\"text\" name=\"ciudad\" size=\"$tamCiudad\" " 
          ."maxlength=\"$tamCiudad\" value=\"$valor[ciudad]\" /></td>
      </tr>
      <tr>
        <td>pais:</td>
        <td><input type=\"text\" name=\"pais\" size=\"$tamPais\" " 
          ."maxlength=\"$tamPais\" value=\"$valor[pais]\" /></td>
      </tr>
    </tbody>
  </table>
  <p><input type=\"hidden\" name=\"id\" value=\"$id\" />
    <input type=\"submit\" value=\"Actualizar\" /></p>
</form>\n";
    }
}

$db = NULL;
pie();
?>
